commit:     29fc9b2db792adbb2f739c5b9d7b2b9c6c644809
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  3 21:17:53 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Oct  3 21:18:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29fc9b2d

net-analyzer/nmap: Version 7.90

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-analyzer/nmap/Manifest                         |   1 +
 .../nmap/files/nmap-7.90-no-FORTIFY_SOURCE.patch   |  66 +++++++++++
 net-analyzer/nmap/nmap-7.90.ebuild                 | 121 +++++++++++++++++++++
 3 files changed, 188 insertions(+)

diff --git a/net-analyzer/nmap/Manifest b/net-analyzer/nmap/Manifest
index e34efcfd0b5..a93780188aa 100644
--- a/net-analyzer/nmap/Manifest
+++ b/net-analyzer/nmap/Manifest
@@ -1,2 +1,3 @@
 DIST nmap-7.80.tar.bz2 10550327 BLAKE2B 
513a5589f4dd72660d290cc03b8130da2c41e4620c5a82e125e4345259b8d0f6efa8bceef47d3c0d2b5b588888b716070e05105a09b0185622aed9268715ae2c
 SHA512 
d4384d3ebf4f3abf3588eed5433f733874ecdceb9342a718dc36db19634b0cc819d73399974eb0a9a9c9dd9e5c88473e07644ec91db28b0c072552b54430be6b
+DIST nmap-7.90.tar.bz2 10485842 BLAKE2B 
96307cf51bdf24758f0ee77e29108c112fce49128f209f163a4fa38b5f4e0e1a820a08097ea9fa05cf1ce79604e7f30a4cdfd5b693e5dcf458e3a9955b527957
 SHA512 
b77c31ef43c9a069f0f63a3cc166021f714a8664cca4d51d1b8467cb166f5e3acb4a4bd0f2bdad7f87777a506ef56cc54fa094e664997c8e436b50208214e7c6
 DIST nmap-logo-64.png 3289 BLAKE2B 
9563f57d126e6fa38dc777391c2887112836b4f5b521311bde64d5c5a04c45a3f420abba0750f776658015c0018b2afeb381c691bc8784e4f39abc78b9c2d2c7
 SHA512 
fb102d12aaeebc8a97543ecd653a3606e86996ad679bc26d6e6e274ad05ec3e9f92521289d1a24153c521b699e8c0cfa65d8856bb49af53ee4837268bbc6b5d3

diff --git a/net-analyzer/nmap/files/nmap-7.90-no-FORTIFY_SOURCE.patch 
b/net-analyzer/nmap/files/nmap-7.90-no-FORTIFY_SOURCE.patch
new file mode 100644
index 00000000000..b4c06be942e
--- /dev/null
+++ b/net-analyzer/nmap/files/nmap-7.90-no-FORTIFY_SOURCE.patch
@@ -0,0 +1,66 @@
+--- a/nbase/Makefile.in
++++ b/nbase/Makefile.in
+@@ -12,7 +12,7 @@
+ CCOPT = 
+ DEFS = @DEFS@
+ # With GCC, add extra security checks to source code.
+-DEFS += -D_FORTIFY_SOURCE=2
++DEFS += 
+ CPPFLAGS = @CPPFLAGS@
+ CFLAGS = @CFLAGS@ $(CCOPT) $(GLIB_CFLAGS) $(DEFS) $(INCLS)
+ STATIC = 
+--- a/ncat/Makefile.in
++++ b/ncat/Makefile.in
+@@ -53,7 +53,7 @@
+ LIBS = @LIBS@
+ DEFS = @DEFS@ -DNCAT_DATADIR="\"$(pkgdatadir)\""
+ # With GCC, add extra security checks to source code.
+-DEFS += -D_FORTIFY_SOURCE=2
++DEFS += 
+ INCLS = -I. -I.. -I../nsock/include/ -I$(NBASEDIR)
+ RM = rm -f
+ STRIP = @STRIP@
+--- a/nsock/src/Makefile.in
++++ b/nsock/src/Makefile.in
+@@ -13,7 +13,7 @@
+ CCOPT = 
+ DEFS = @DEFS@ -DNSOCK_VERSION=\"$(NSOCK_VERSION)\"
+ # With GCC, add extra security checks to source code.
+-DEFS += -D_FORTIFY_SOURCE=2
++DEFS += 
+ INCLS = -I../include
+ CFLAGS = @CFLAGS@ $(CCOPT)
+ # CFLAGS = -g -Wall $(DEFS) $(INCLS)
+--- a/libnetutil/Makefile.in
++++ b/libnetutil/Makefile.in
+@@ -5,7 +5,7 @@
+ CXXFLAGS = @CXXFLAGS@
+ CPPFLAGS = @CPPFLAGS@ $(DEFS)
+ DEFS = @DEFS@
+-DEFS += -D_FORTIFY_SOURCE=2
++DEFS += 
+ AR = ar
+ RANLIB = @RANLIB@
+ 
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -41,7 +41,7 @@
+ # http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html
+ # Level 1 only makes changes that don't affect "conforming" programs,
+ # while level 2 enforces additional restrictions.
+-DEFS += -D_FORTIFY_SOURCE=2
++DEFS += 
+ # For mtrace debugging -- see MTRACE define in main.cc for instructions
+ # Should only be enabled during debugging and not in any real release.
+ # DEFS += -DMTRACE=1
+--- a/nping/Makefile.in
++++ b/nping/Makefile.in
+@@ -38,7 +38,7 @@
+ # http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html
+ # Level 1 only makes changes that don't affect "conforming" programs,
+ # while level 2 enforces additional restrictions.
+-DEFS += -D_FORTIFY_SOURCE=2
++DEFS += 
+ # For mtrace debugging -- see MTRACE define in main.cc for instructions
+ # Should only be enabled during debugging and not in any real release.
+ # DEFS += -DMTRACE=1

diff --git a/net-analyzer/nmap/nmap-7.90.ebuild 
b/net-analyzer/nmap/nmap-7.90.ebuild
new file mode 100644
index 00000000000..f9b6702ee09
--- /dev/null
+++ b/net-analyzer/nmap/nmap-7.90.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P=${P/_beta/BETA}
+inherit autotools desktop flag-o-matic toolchain-funcs user
+
+DESCRIPTION="A utility for network discovery and security auditing"
+HOMEPAGE="https://nmap.org/";
+SRC_URI="
+       https://nmap.org/dist/${MY_P}.tar.bz2
+       https://dev.gentoo.org/~jer/nmap-logo-64.png
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="ipv6 libressl libssh2 ncat nping +nse ssl system-lua"
+REQUIRED_USE="system-lua? ( nse )"
+
+RDEPEND="
+       dev-libs/liblinear:=
+       dev-libs/libpcre
+       net-libs/libpcap
+       libssh2? (
+               net-libs/libssh2[zlib]
+               sys-libs/zlib
+       )
+       nse? ( sys-libs/zlib )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:= )
+       )
+       system-lua? ( >=dev-lang/lua-5.2:*[deprecated] )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-5.10_beta1-string.patch
+       "${FILESDIR}"/${PN}-5.21-python.patch
+       "${FILESDIR}"/${PN}-6.46-uninstaller.patch
+       "${FILESDIR}"/${PN}-6.25-liblua-ar.patch
+       "${FILESDIR}"/${PN}-7.25-CXXFLAGS.patch
+       "${FILESDIR}"/${PN}-7.25-libpcre.patch
+       "${FILESDIR}"/${PN}-7.31-libnl.patch
+       "${FILESDIR}"/${PN}-7.80-ac-config-subdirs.patch
+       "${FILESDIR}"/${PN}-7.90-no-FORTIFY_SOURCE.patch
+)
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       rm -r liblinear/ libpcap/ libpcre/ libssh2/ libz/ || die
+
+       cat "${FILESDIR}"/nls.m4 >> "${S}"/acinclude.m4 || die
+
+       default
+
+       sed -i \
+               -e '/^ALL_LINGUAS =/{s|$| id|g;s|jp|ja|g}' \
+               Makefile.in || die
+       # Fix desktop files wrt bug #432714
+       sed -i \
+               -e 's|^Categories=.*|Categories=Network;System;Security;|g' \
+               zenmap/install_scripts/unix/zenmap-root.desktop \
+               zenmap/install_scripts/unix/zenmap.desktop || die
+
+       cp libdnet-stripped/include/config.h.in{,.nmap-orig} || die
+
+       eautoreconf
+
+       if [[ ${CHOST} == *-darwin* ]] ; then
+               # we need the original for a Darwin-specific fix, bug #604432
+               mv libdnet-stripped/include/config.h.in{.nmap-orig,} || die
+       fi
+}
+
+src_configure() {
+       # The bundled libdnet is incompatible with the version available in the
+       # tree, so we cannot use the system library here.
+       econf \
+               $(use_enable ipv6) \
+               $(use_with libssh2) \
+               $(use_with ncat) \
+               --without-ndiff \
+               $(use_with nping) \
+               $(use_with ssl openssl) \
+               --without-zenmap \
+               $(usex libssh2 --with-zlib) \
+               $(usex nse --with-zlib) \
+               $(usex nse --with-liblua=$(usex system-lua /usr included '' '') 
--without-liblua) \
+               --cache-file="${S}"/config.cache \
+               --with-libdnet=included \
+               --with-pcre=/usr
+       #       Commented out because configure does weird things
+       #       --with-liblinear=/usr \
+}
+
+src_compile() {
+       local directory
+       for directory in . libnetutil nsock/src \
+               $(usex ncat ncat '') \
+               $(usex nping nping '')
+       do
+               emake -C "${directory}" makefile.dep
+       done
+
+       emake \
+               AR=$(tc-getAR) \
+               RANLIB=$(tc-getRANLIB)
+}
+
+src_install() {
+       LC_ALL=C emake -j1 \
+               DESTDIR="${D}" \
+               STRIP=: \
+               nmapdatadir="${EPREFIX}"/usr/share/nmap \
+               install
+
+       dodoc CHANGELOG HACKING docs/README docs/*.txt
+}

Reply via email to